Changeset 142097


Ignore:
Timestamp:
Nov 3, 2015, 1:10:23 PM (3 years ago)
Author:
mojca@…
Message:

ackmate: use perl5.22, depend on ack (p5.16-app-ack is obsolete), replace path to perl (#48365, #49570)

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/editors/ackmate/Portfile

    r122696 r142097  
    33
    44PortSystem          1.0
     5PortGroup           github 1.0
     6PortGroup           perl5 1.0
    57PortGroup           xcode 1.0
    6 PortGroup           github 1.0
    78
    89github.setup        protocool AckMate f2515f9
    910name                ackmate
    1011version             1.1.2
    11 revision            2
     12revision            3
    1213categories          editors aqua
    1314maintainers         nomaintainer
     
    2021                    sha256  f322c96d5c8bf2e6c6d5e3a5d2b2979de1fb8951ec0889b625dfa5666a433067
    2122
     23# TODO:             https://trac.macports.org/ticket/49570
     24perl5.branches      5.22
     25
    2226depends_build       port:ragel
    23 depends_lib         port:p5.16-app-ack
     27depends_lib         port:ack
     28
     29post-patch {
     30    reinplace       "s|\#!/usr/bin/env perl|\#!${perl5.bin}|" \
     31                    ${worksrcpath}/bundle_extras/ackmate_ack.autogenerated
     32}
Note: See TracChangeset for help on using the changeset viewer.